For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETGet usage statistics
      • GETGet daily execution usage
Dashboard
LogoLogo
Runtype APIUsage Limits

Get daily execution usage

GET
/v1/usage-limits/daily
GET
/v1/usage-limits/daily
$curl https://api.runtype.com/v1/usage-limits/daily \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "daily": {
3 "atSpendLimit": true,
4 "date": "2024-06-15",
5 "executionLimit": 1000,
6 "executionsUsed": 950,
7 "inSlowMode": false,
8 "isAtLimit": false,
9 "isNearLimit": true,
10 "isOverage": false,
11 "isUnlimited": false,
12 "overageCount": 0,
13 "percentUsed": 95,
14 "periodType": "daily",
15 "remaining": 50,
16 "resetsAt": "2024-06-16T00:00:00Z",
17 "spendLimit": 200,
18 "spendLimitEnabled": true,
19 "tier": "pro"
20 },
21 "monthly": {
22 "atSpendLimit": false,
23 "date": "2024-06-01",
24 "executionLimit": 30000,
25 "executionsUsed": 15000,
26 "inSlowMode": false,
27 "isAtLimit": false,
28 "isNearLimit": false,
29 "isOverage": false,
30 "isUnlimited": false,
31 "overageCount": 0,
32 "percentUsed": 50,
33 "periodType": "monthly",
34 "remaining": 15000,
35 "resetsAt": "2024-07-01T00:00:00Z",
36 "spendLimit": 6000,
37 "spendLimitEnabled": true,
38 "tier": "pro"
39 }
40}

Get current daily execution statistics for the authenticated user/organization. Used by the dashboard to display daily execution usage and limits.

Was this page helpful?
Previous

Complete onboarding

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Response

Daily (or monthly) execution usage statistics

dailyobject
monthlyobject

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error